Package Details: bitscope-dso 2.8.FE22H-1

Git Clone URL: https://aur.archlinux.org/bitscope-dso.git (read-only)
Package Base: bitscope-dso
Description: Bitscope dso software for oscilloscopes
Upstream URL: http://www.bitscope.com
Licenses: custom
Submitter: s_tec
Maintainer: xblack
Last Packager: xblack
Votes: 5
Popularity: 0.027986
First Submitted: 2016-01-21 22:58
Last Updated: 2018-10-19 07:10

Latest Comments

s_tec commented on 2018-09-17 19:16

I no longer maintain this package, so if you'd like to fix it, just click the "Adopt Package" button to claim it and make whatever changes you need.

bodonoghue commented on 2018-09-16 11:21

Not sure what the process for submitting patches to AUR repos is generally but, I've mailed along that patch you.

bodonoghue commented on 2018-09-16 11:19

Hey.

Here's a patch to resolve the non-building 2.9 situation. Any chance you can apply it ?

commit 48933deb3ee7665509d41bdf990ff2cd762e3e3b (HEAD -> master) Author: Bryan O'Donoghue pure.logic@nexus-software.ie Date: Sun Sep 16 12:08:08 2018 +0100

Move to version 2.8.FE22H

The latest version given for download on the bitscope website is
<http://bitscope.com/download/files/bitscope-dso_2.8.FE22H_amd64.deb> with
the previous version referenced in PKGBUILD no longer functional.

Convert over to the version specified by the bitscope download site @
2.8.FE22H.

Signed-off-by: Bryan O'Donoghue <pure.logic@nexus-software.ie>

diff --git a/PKGBUILD b/PKGBUILD index a2b9752..caed8aa 100644 --- a/PKGBUILD +++ b/PKGBUILD @@ -3,7 +3,7 @@ # vim: set ts=2 sw=2 et:

pkgname="bitscope-dso" -pkgver="2.9.FE22H" +pkgver="2.8.FE22H" pkgrel=1 pkgdesc="Bitscope dso software for oscilloscopes" arch=('i686' 'x86_64') @@ -13,10 +13,10 @@ depends=(atk gdk-pixbuf2 gtk2 pango cairo)

if [ "${CARCH}" == "x86_64" ]; then _BITSCOPEARCH='amd64' - _BITSCOPESHA1='709e36cf6f75ed2ad28c2e752ea67062ae6d6941' + _BITSCOPESHA1='8a430dca83efe9ae330ec12515ce5439d582eb1f' else _BITSCOPEARCH='i386' - _BITSCOPESHA1='8cdd8f84a87cdeb19cf6ccee9527d267845712d0' + _BITSCOPESHA1='d2875a326793fdf93ca22d354df62685e7056325' fi

jstenback commented on 2018-05-25 04:20

Looks like version 2.9 got pulled, 2.8 is the most recent version now and installing this package thus fails.

enteenteente commented on 2016-02-02 15:07

I changed the project for easy AUR integration. Now I'd like to ask you to:

1. Add your bitscope-* AUR git projects as submodule to [1]
2. Add a symlink to ../Makefile.modules , ln -s ../Makefile.modules Makefile
3. add vars.mk specifying the Version and Release
4. Tell me your name at github
5. Push your changes to [1]

You can use:
* bitscope-chart [2]
* bitscope [3]

as a reference.

Once done releasing all the packets is as simple as changing all the vars.mk's to the new version and run a "make release" in the toplevel.

[1] : https://github.com/Enteee/bitscope-arch-pkg
[2] : https://aur.archlinux.org/cgit/aur.git/tree/?h=bitscope-chart
[3] : https://aur.archlinux.org/cgit/aur.git/tree/?h=bitscope

s_tec commented on 2016-02-01 03:51

Thanks, but when I made the package, the "H" version was not available in 32-bit, so the package is only up to "G". It looks like they've fixed that, though.

Your git repo is quite nice, but the packages really ought to be in AUR for people to find them. If you want to upload them, I'll be happy to hand or the reins on this.

enteenteente commented on 2016-01-31 14:26

Typo in pkgver? 2.9.FE22H not FE22G , according to [1]

Btw: in order to make this project easy maintainable I created a git repo a long time ago [2]. And I just updated the git project. It should now have a very easy structure and work for the newest version. With a simple make you'll get the source-packets. Feel free to contribute.

[1] : http://my.bitscope.com/download/?p=download
[2] : https://github.com/Enteee/bitscope-arch-pkg